text = "Python is an interpreted high-level programming language"
print("Исходный текст:", text)

for char in text:
    if char.isalpha():
        if char.isupper():
            num = ord(char) - ord('A') + 1
        else:
            num = ord(char) - ord('a') + 1
        print(f"Буква '{char}' - номер {num}")